<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3">Verifica tu correo</h3>
        <div class="">
            <div class="col-6 mx-auto my-3"> <img alt="" class="img-fluid" src="../../../../assets/img/svg/verificacioncorreo.svg"> </div>
          </div>
        <div class="row">
            <p class="text-1 overflow-visible"> Ingresa la clave que te enviamos a <strong id="emailText">{{correo}}</strong> </p>
        </div>
       
        <p>
            <button class="btn btn-sm btn-outline-secondary btn-block btnSpanURL" (click)="aceptar()">Reenviar</button>
            <button class="btn btn-sm btn-outline-secondary btn-block btnUrl btnSpanURL" (click)="reescribirCorreo()">Cambiar correo electrónico</button>
        </p>

        <!--<form ngNoForm >-->

            <div  class="form-row py-3 form-correo">
                <div  class="col">
                    <input autocomplete="off" (input)="onSearchChange1($event.target.value)" id="box1" #box1 type="tel" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" class="form-control input-correo" style="text-align:center;"  maxlength="4" (keyup.enter)="validaCodigo()">
                </div>
            </div>
            <div id="errorMessagePin">{{error}}</div>
            <p class="my-3">
                <button type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="validaCodigo()" id="validarBoton" #validarBoton
                [style.background-color]="getColorButton()"
                [style.border-color]="getColorButton()"
                [style.color]="getColorLabel()">Verificar</button>
            </p>
            
        <!--</form>-->

    </div>
</div>
